import { Component } from '@angular/core';
import { MatToolbarModule } from '@angular/material/toolbar';
import { Router, RouterLink, RouterOutlet } from '@angular/router';
import { MatButtonModule } from '@angular/material/button';
import { MatTabsModule } from '@angular/material/tabs';
@Component({
  selector: 'app-root',
  imports: [
    RouterOutlet,
    RouterLink,
    MatToolbarModule,
    MatTabsModule,
    MatButtonModule,
  ],
  templateUrl: './app.component.html',
  styleUrl: './app.component.css',
})
export class AppComponent {
  // Tabs-navigaation linkkien otsikot
  links = ['Page1', 'Page2', 'Page3', 'Page4', 'Page5', 'Page6'];

  activeLink: string;

  constructor(private router: Router) {
    // Ensimmäinen linkki eli Page1 on aluksi aktiivinen
    this.activeLink = this.links[0];
    // Jos sivu reffataan, reitti vaihtuu page1:een
    this.router.navigate(['page1']);
  }
}
